Issue 66088 - Troubleshooting HOW-TO
Summary: Troubleshooting HOW-TO
Status: ACCEPTED
Alias: None
Product: documentation
Classification: Unclassified
Component: How To (show other issues)
Version: OOo 2.0.2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-04 12:39 UTC by grsingleton
Modified: 2013-07-30 02:16 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Troubkeshooting HOW-TO source (88.51 KB, application/vnd.oasis.opendocument.text)
2006-06-04 12:40 UTC, grsingleton
no flags Details
Seed for document from Chapter 14 (29.95 KB, application/vnd.oasis.opendocument.text)
2006-07-31 01:29 UTC, grsingleton
no flags Details
version 1.1 - synchronizing w/chapter from UG, style and content edits (113.51 KB, application/vnd.oasis.opendocument.text)
2006-08-05 01:07 UTC, wamarch
no flags Details
1.1 re-formatted (90.53 KB, application/vnd.oasis.opendocument.text)
2006-08-05 19:41 UTC, grsingleton
no flags Details
1.1 with tiny changes OK for publish (90.86 KB, application/vnd.oasis.opendocument.text)
2006-08-06 15:13 UTC, wamarch
no flags Details
Edited version to replace ALL existing copies. Character styles fixed (30.63 KB, application/vnd.oasis.opendocument.text)
2006-08-06 18:01 UTC, grsingleton
no flags Details
several new sections added (32.24 KB, application/x-compressed)
2006-08-20 02:18 UTC, wamarch
no flags Details
more help section for review (11.37 KB, application/vnd.oasis.opendocument.text)
2006-09-02 02:07 UTC, wamarch
no flags Details
Rearranged, added a section, edited a bit (37.76 KB, application/vnd.oasis.opendocument.text)
2006-11-04 18:08 UTC, wamarch
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description grsingleton 2006-06-04 12:39:09 UTC
Gary Schnabl will be maintaining this How-to and, as a fallout from this work,
the Troubleshooting chapter of the User Guide. e.g. keep the content in sync. I
have attached the source for the HOW-TO.
Comment 1 grsingleton 2006-06-04 12:40:36 UTC
Created attachment 36905 [details]
Troubkeshooting HOW-TO source
Comment 2 grsingleton 2006-06-04 17:44:38 UTC
Assigment done.  Just a caution, you may or may not have perms in QA to change
status or such. If these are important, contact me off-line so I can point you
in the right direction. 
Comment 3 grsingleton 2006-07-17 20:24:00 UTC
no activity
Comment 4 wamarch 2006-07-30 14:19:42 UTC
hey out there... I think I read in a post that you had collected items to be
added to this and it needed some proofing?  I can certainly read and even add
new items :)
Comment 5 grsingleton 2006-07-30 14:31:59 UTC
Walter, this is a development task. It requires collecting and writing up
Troubleshooting tips and publishing these. Are you up to this?
Comment 6 wamarch 2006-07-30 23:04:35 UTC
Yes.  I do feel I am up to this task.  I used to do this at my other job (for M$
Office) and really enjoyed it.
Comment 7 grsingleton 2006-07-31 01:27:05 UTC
If you are certain then attached is a copy of the Troubleshooting Chapter from
the user guide. You can get the document template from
http://documentation.openoffice.org/servlets/ProjectDocumentList. The old copy
was in HTML and PDF. These can be generated from the .odt before posting.
Comment 8 grsingleton 2006-07-31 01:27:55 UTC
give to walter
Comment 9 grsingleton 2006-07-31 01:29:00 UTC
Created attachment 38135 [details]
Seed for document from Chapter 14
Comment 10 wamarch 2006-08-02 02:05:39 UTC
One section of the Troubleshooting guide is General error General input/output
error.  What does this refer to?  I mean, is someone just going to get an error
message that says "General input/output error"?
WalterAM
Comment 11 wamarch 2006-08-02 02:12:07 UTC
I'm also missing
file:///home/gerry/jre_error/Screenshot-Options - OpenOffice.org - Java.png
from the Movies and Sounds on Linux section.
Comment 12 grsingleton 2006-08-02 02:13:27 UTC
Walter, the answer is _YES_ Mostly on windows.
Comment 13 grsingleton 2006-08-02 03:46:14 UTC
Walter, the answer is _YES_ Mostly on windows.
Comment 14 grsingleton 2006-08-02 03:48:16 UTC
Please remove the JMF section completely from your copy. This is still a work in
progress. e.g. I have not been able to get it to work. Now you do not need the
graphic.
Comment 15 wamarch 2006-08-02 22:22:14 UTC
Removed JMF section.  It was pretty rough :)

I finished editting the content.  I am going to go back through and look at the 
styles.  I'm already thinking of parts to add.

As far as adding sections to this document... Do I just add them and then 
attach a new draft or do I let someone know what I am thinking of putting in 
and we sort of clear each piece before it gets added?
Comment 16 grsingleton 2006-08-02 22:26:27 UTC
It is YOUR document. As you add stuff and edit it to your satifaction, please
attach it to the issue and ask for a review. That will make everyone happy. I
also recommend that you enable Edit > Changes > Record and Show that way
everything is recorded. Likewise for anyone else who makes changes to Walter's work.
Comment 17 wamarch 2006-08-05 01:07:31 UTC
Created attachment 38280 [details]
version 1.1 - synchronizing w/chapter from UG, style and content edits
Comment 18 wamarch 2006-08-05 01:09:29 UTC
Just added version 1.1 of the Troubleshooting guide.  Just minor edits and style
changes.  Also added a couple parts that were in the User Guide that were not in
the Troubleshooting Guide.  I have several parts to add but I wanted to get this
version up partly to show progress and partly so that if I blow up my file I
have one I can go back to ;)
Comment 19 grsingleton 2006-08-05 01:18:24 UTC
Walter, I am going to edit it some more. First thing I am doing is ensuring you
have credit for your work. I will post my changes for your review over the weekend.
Comment 20 grsingleton 2006-08-05 01:19:29 UTC
in that case I will try to do the edit before tomorrow. :-)
Comment 21 grsingleton 2006-08-05 19:40:39 UTC
I have edited the document and accepted all changes and then re-formatted it so
it looks somewhat better in html. If you approve the changes, I will publish for
you.
Comment 22 grsingleton 2006-08-05 19:41:13 UTC
Created attachment 38291 [details]
1.1 re-formatted
Comment 23 wamarch 2006-08-06 15:12:24 UTC
Looks good to me except for a couple small things:
* promoted the Page number section to its own section (and fixed page style)
* corrected capitalization of OpenOffice in spots
* replaced <user> with <username> and <user name> with <username> for
clarity/consistency
You said you did some editing to make it look better in HTML.  The following
pages are now blank: 6 (10 of 19), 8, 10, and 12 but I left them in, figuring
that was what they were there for.

This one (which I will be attaching in a moment) should be good for a week or so
until I get the draft of the expanded version ready for review.
Comment 24 wamarch 2006-08-06 15:13:31 UTC
Created attachment 38297 [details]
1.1 with tiny changes OK for publish
Comment 25 grsingleton 2006-08-06 17:59:21 UTC
updated to use proper character codes after I found that the export to HTML used
Teletype and produced a lot of courier fonted stuff.
Comment 26 grsingleton 2006-08-06 18:01:02 UTC
Created attachment 38299 [details]
Edited version to replace ALL existing copies. Character styles fixed
Comment 27 wamarch 2006-08-20 02:18:15 UTC
Created attachment 38651 [details]
several new sections added
Comment 28 wamarch 2006-08-20 02:19:39 UTC
Added several new sections.  I believe it was five sections.  I am working on
another one but will need to get some help from dev@documentation as it will
need to be cross platform. -WalterAM
Comment 29 grsingleton 2006-08-20 02:53:23 UTC
Walter, just a note for you. If you attach the .odt it is much much easier to
review. Using a zip on a zip usually increases the size.

Now for the doc. Are you prepared to have this published as is whereis? What I
mean does it need an edit or is it ready except for checking content in the new
stuff?
Comment 30 grsingleton 2006-08-20 03:01:25 UTC
I have reviewed the new stuff. Looks pretty good. One thing I would like to see
changed is the use of square brackets when specifying items like Tools > Options
> {Item} up to now the convention is to not put in square brackets because it
confuses the very users we are trying to reach. Can I remove them and publish?
Comment 31 wamarch 2006-08-20 11:33:38 UTC
by all means! the square brackets are in the style guide so I used them. revise
and publish :) WalterAM
Comment 32 grsingleton 2006-08-20 18:15:20 UTC
Published
Comment 33 wamarch 2006-09-02 02:02:52 UTC
I have another section I'd like to add but I would like folks, particularly Mac
and UNIX-based OS users who are active on the users list (though anyone is
welcome!) to take a look at it.

The section is about how to obtain more help beyond the troubleshooting guide
that it will be a part of. It is in rough draft form and so is not formatted as
it should be for the main document.

Document attached next.
WalterAM
Comment 34 wamarch 2006-09-02 02:07:00 UTC
Created attachment 38899 [details]
more help section for review
Comment 35 grsingleton 2006-09-02 16:04:47 UTC
Quick note.  Put this near the front of the document. WRT faqs, check with Scott
on the progess of the integration of all faqs. There is a wiki somewhere that is
the focus of this effort. Hopefully we will have on faq set. Since you mention
getting OS and OOo versions, do add a bit about putting this info into any
messages sent for handling via the users list.  Other than that, perfect.  Just
so you know, this document will soon be the sole Troubleshooting doc at least
for a while. The user guide is too big and yours is serving the purpose very well.

The section on sound, please continue to leave it out. Doesn't work very well or
rather it is beyond most users. I will work with the developers to see if we can
get this fixed.

One more thing, double check what is in the documentation faqs. I and others
often update these with no announcement and you may find something useful to add.

If you have space to manage the documentation space from CVS and you would like
to publish yourself, send an email to dev@documentation.openoffice.org
requesting developer role. 
Comment 36 wamarch 2006-09-02 22:28:15 UTC
I think if this is going to be the sole troubleshooting guide for a while then I
am going to blow the dust off an adult evening school program I taught and add a
section on how to troubleshoot. This section would be either first or second,
with the getting more help either before or after it.
WaM
Comment 37 grsingleton 2006-09-02 23:18:12 UTC
Can I use it too if I need it?  I would have a hard look at what your document
says. I mention this from the point of view that readers of the troubleshooting
guide should have half a clue. If they do not then they are dangerous. So maybe
your doc needs to be another how-to to clue in the clueless. That way the guide
sticks to troubleshooting and problem solving and the other can discuss
techniques and methods. In any case, whatever you decide is okay.
Comment 38 wamarch 2006-11-04 18:08:53 UTC
Created attachment 40322 [details]
Rearranged, added a section, edited a bit
Comment 39 wamarch 2006-11-04 18:10:01 UTC
Gerry - since I still haven't had time to figure out how to use WinCVS, could
you update the trouble shooting guide on the web for me, please?
WalterAM
Comment 40 grsingleton 2006-11-04 19:31:37 UTC
Of course will put up the guide.  WinCVS, eh?  Contact me directly for some help.
Comment 41 jeanweber 2010-01-20 06:36:38 UTC
This draft document is over 3 years old and refers to V2.x of OOo. Some info is
still useful, some has been incorporated into the user guide, and some is out of
date, usually because bugs have been fixed. I recommend this issue be closed and
those parts of the doc which are still useful (and not already in the user
guides or how-to's) be incorporated into other material.
Comment 42 Rob Weir 2013-07-30 02:16:04 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.